import { getSimpleAsyncActionClass } from "./SimpleAsyncAction";
import { getTimeoutAsyncActionClass } from "./TimeoutAsyncAction";
import { getParallelTasksAsyncActionClass } from "./ParallelTasksAsyncAction";
import { getSeriesTasksAsyncActionClass } from "./SeriesTasksAsyncAction";
import { AsyncAction } from "./AsyncAction";
export class TypedAsyncActionClassFactory {
    constructor() {
        this.AsyncAction = AsyncAction;
        this.SimpleAsyncAction = class SimpleAsyncAction extends getSimpleAsyncActionClass() {
        };
        this.ParallelTasksAsyncAction = class ParallelTasksAsyncAction extends getParallelTasksAsyncActionClass() {
        };
        this.SeriesTasksAsyncAction = class SeriesTasksAsyncAction extends getSeriesTasksAsyncActionClass() {
        };
        this.TimeoutAsyncAction = class TimeoutAsyncAction extends getTimeoutAsyncActionClass() {
        };
    }
}
