import { BaseTypedAction } from "./BaseTypedAction";
import { GenericPayloadAction } from "./GenericPayloadAction";
export declare class EmptyAction extends BaseTypedAction {
}
export declare class BooleanAction extends GenericPayloadAction<boolean> {
}
export declare class StringAction extends GenericPayloadAction<string> {
}
export declare class NumberAction extends GenericPayloadAction<number> {
}
export declare class NullAction extends GenericPayloadAction<null> {
}
export declare class ArrayAction<T = any> extends GenericPayloadAction<T[]> {
}
export declare class TypedAction<T = any> extends GenericPayloadAction<T> {
}
