import { DispatchTypedAction, StateGetter, WithTasksAsyncPayload } from "../types";
import { BaseTypedAction } from "./BaseTypedAction";
declare type Task<S> = BaseTypedAction | {
    (prevResults: any[], getState: StateGetter<S>): BaseTypedAction | any;
};
export interface SeriesTasksPayload<S, R> extends WithTasksAsyncPayload<S, R> {
    tasks: Array<Task<S>>;
}
export declare const getSeriesTasksAsyncActionClass: () => {
    new <S, R>(payload: SeriesTasksPayload<S, R>): {
        execute(dispatch: DispatchTypedAction, getState: StateGetter<S>): Promise<R>;
        readonly payload: SeriesTasksPayload<S, R>;
        readonly type: string;
        toPlainObject(): import("./BaseTypedAction").ReducerActionArg;
    };
};
export {};
