import { DispatchTypedAction, StateGetter } from "../types";
import { SimpleAsyncActionPayload } from "./SimpleAsyncAction";
declare type TimeoutAsyncActionReturn = () => void;
export interface TimeoutAsyncActionPayload<S> extends SimpleAsyncActionPayload<S, any> {
    timeout: number;
}
export declare const getTimeoutAsyncActionClass: () => {
    new <S>(payload: TimeoutAsyncActionPayload<S>): {
        execute(dispatch: DispatchTypedAction, getState: StateGetter<S>): TimeoutAsyncActionReturn;
        readonly payload: TimeoutAsyncActionPayload<S>;
        readonly type: string;
        toPlainObject(): import("./BaseTypedAction").ReducerActionArg;
    };
};
export {};
