import { WithTasksAsyncPayload, StateGetter, DispatchTypedAction } from "../types";
import { BaseTypedAction } from "./BaseTypedAction";
export interface ParallelTasksPayload<S, R> extends WithTasksAsyncPayload<S, R> {
    tasks: Array<BaseTypedAction | {
        (getState: StateGetter<S>): BaseTypedAction | any;
    }>;
}
export declare const getParallelTasksAsyncActionClass: () => {
    new <S, R>(payload: ParallelTasksPayload<S, R>): {
        execute(dispatch: DispatchTypedAction, getState: StateGetter<S>): Promise<R>;
        readonly payload: ParallelTasksPayload<S, R>;
        readonly type: string;
        toPlainObject(): import("./BaseTypedAction").ReducerActionArg;
    };
};
