import { DispatchTypedAction, StateGetter } from "../types";
declare type Executor<S, R> = (dispatch: DispatchTypedAction, getState: StateGetter<S>) => Promise<R>;
export interface SimpleAsyncActionPayload<S, R> {
    executor: Executor<S, R>;
}
export declare const getSimpleAsyncActionClass: () => {
    new <S, R>(payload: SimpleAsyncActionPayload<S, R>): {
        execute(dispatch: DispatchTypedAction, getState: StateGetter<S>): Promise<R>;
        readonly payload: SimpleAsyncActionPayload<S, R>;
        readonly type: string;
        toPlainObject(): import("./BaseTypedAction").ReducerActionArg;
    };
};
export {};
