import { BaseTypedAction } from "./actions/BaseTypedAction";
export const isTypedPlainAction = (action) => action !== null &&
    typeof action === 'object' &&
    'typedAction' in action && action.typedAction instanceof BaseTypedAction;
export const isTypedAction = (action) => action !== null &&
    typeof action === 'object' &&
    action instanceof BaseTypedAction;
export const wrapError = (error) => ({
    isError: true,
    error
});
export const isWrappedError = (error) => error !== null &&
    typeof error === 'object' && error.isError === true &&
    'error' in error;
